KD Chart 2: KDChart::ZoomParameters class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::ZoomParameters Class Reference

`#include <KDChartZoomParameters.h>`

Collaboration diagram for KDChart::ZoomParameters:

[legend]
List of all members.

## Public Member Functions
const QPointF | center () const
void | setCenter (QPointF center)
| ZoomParameters ()
## Public Attributes
double | xCenter
double | xFactor
double | yCenter
double | yFactor

## Constructor & Destructor Documentation

KDChart::ZoomParameters::ZoomParameters | ( |  | ) |

| Definition at line 7 of file KDChartZoomParameters.h. References xCenter, xFactor, yCenter, and yFactor.
    00008         : xFactor( 1.0 ),
    00009           yFactor( 1.0 ),
    00010           xCenter( 0.5 ),
    00011           yCenter( 0.5)
    00012         {
    00013         }

## Member Function Documentation

const QPointF KDChart::ZoomParameters::center | ( |  | ) | const

| Definition at line 20 of file KDChartZoomParameters.h. References xCenter, and yCenter.
    00021         {
    00022             return QPointF( xCenter, yCenter );
    00023         }

void KDChart::ZoomParameters::setCenter | ( | QPointF | center | ) |

| Definition at line 15 of file KDChartZoomParameters.h. References xCenter, and yCenter.
    00016         {
    00017             xCenter = center.x();
    00018             yCenter = center.y();
    00019         }

## Member Data Documentation

double KDChart::ZoomParameters::xCenter

| Definition at line 28 of file KDChartZoomParameters.h. Referenced by center(), setCenter(), and ZoomParameters().

double KDChart::ZoomParameters::xFactor

| Definition at line 25 of file KDChartZoomParameters.h. Referenced by ZoomParameters().

double KDChart::ZoomParameters::yCenter

| Definition at line 29 of file KDChartZoomParameters.h. Referenced by center(), setCenter(), and ZoomParameters().

double KDChart::ZoomParameters::yFactor

| Definition at line 26 of file KDChartZoomParameters.h. Referenced by ZoomParameters().

The documentation for this class was generated from the following file:

- KDChartZoomParameters.h